注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

逍遥的博客

少一分怨言多一分微笑;少一分诚诺,多一分服务;

 
 
 

日志

 
 
关于我

性格开朗,乐于助人以及极有主见的感性男人!

网易考拉推荐

Before you can run VMware, several modules must be compiled and loaded into the running kernel  

2011-12-13 17:31:30|  分类: 技术集锦 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

ubuntu从10.04升级到11.04后发现安装不上vmware 7.1.4了。


具体症状如下(忘了截图了):

在vmware kernel module updater这个窗口上,编译第一步Virtual Machine Monitor时出现错误。

查看Log,其中有这么一条:

Trying to find a suitable PBM set for kernel 3.0.0-12-generic.

Your GCC version: 4.6


一开始以为是7.1.4版本太低了,就在官网下了7.1.5。结果错误一样。


解决方法:

# cd /usr/lib/vmware/modules/source/;

# wget http://pavlinux.ru/vmware/7.1.4/source.tar;

# tar -xf source.tar;

# vmware;

Before you can run VMware, several modules must be compiled and loaded into the running kernel - cao0816 - 逍遥的博客


具体参见:http://pavlinux.ru/vmware/7.1.4/

P.S. 补丁包上写的 是for vmware workstation7.1.4, 而我安装的是vmware workstation7.1.5,用该方法也解决了问题。系统:Ubuntu 11.04 内核:3.0.0-12-generic。


添加:

每次打开都会重新编译加载模块的问题,即:Before you can run VMware, several modules must be compiled and loaded into the running kernel.” 点击Install,键入root密码,显示一个标题为“VMware Kernel Module Updater”的对话框,等待编译,才能启动Vmware。而且这样的编译不是仅仅一次,而是每次打开Vmware都会,即使期间没有重启过。

解决方法:修改/etc/vmware/config,将VSOCK_CONFED设置为“no”。(解决了我的问题)

 

  评论这张
 
阅读(3999)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017